REST: nothing triggers rest
[oweals/gnunet.git] / src / gns / test_gns_zkey_lookup.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
5
6 LOCATION=$(which gnunet-config)
7 if [ -z $LOCATION ]
8 then
9   LOCATION="gnunet-config"
10 fi
11 $LOCATION --version 1> /dev/null
12 if test $? != 0
13 then
14         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
15         exit 77
16 fi
17
18 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
19
20 TEST_IP="127.0.0.1"
21 gnunet-arm -s -c test_gns_lookup.conf
22 gnunet-identity -C delegatedego -c test_gns_lookup.conf
23 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
24 gnunet-identity -C testego -c test_gns_lookup.conf
25 gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
26 gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
27 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.${DELEGATED_PKEY} -t A -c test_gns_lookup.conf`
28 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
29 gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
30 gnunet-arm -e -c test_gns_lookup.conf
31 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
32
33 if [ "$RES_IP" = "$TEST_IP" ]
34 then
35   exit 0
36 else
37   echo "Failed to resolve to proper IP, got $RES_IP, wanted $TEST_IP."
38   exit 1
39 fi